CREATE TABLE `authors`
(
    `id_author` Int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
    `firstname` Varchar(50),
    `surname` Varchar(50) NOT NULL,
    PRIMARY KEY (`id_author`)
) ENGINE = InnoDB
  DEFAULT CHARACTER SET utf8
  COLLATE utf8_general_ci
  ROW_FORMAT = Compact
;

CREATE TABLE `books`
(
 `id_book` Int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
 `url` Varchar(255) NOT NULL,
 `title` Varchar(255) NOT NULL,
 `language` Char(2) DEFAULT 'cs' NOT NULL,
  PRIMARY KEY (`id_book`)
) ENGINE = InnoDB
  DEFAULT CHARACTER SET utf8
  COLLATE utf8_general_ci
  ROW_FORMAT = Compact
;

CREATE TABLE `books_authors`
(
    `id_book` Int(10) UNSIGNED NOT NULL,
    `id_author` Int(10) UNSIGNED NOT NULL
) ENGINE = InnoDB
  DEFAULT CHARACTER SET utf8
  COLLATE utf8_general_ci
  ROW_FORMAT = Compact
;

CREATE TABLE `books_last_read`
(
    `id_book` Int(10) UNSIGNED NOT NULL,
    `id_user` Int(10) UNSIGNED NOT NULL,
    `time` Timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY (`id_book`,`id_user`)
) ENGINE = InnoDB
  DEFAULT CHARACTER SET utf8
  COLLATE utf8_general_ci
  ROW_FORMAT = Compact
;
ALTER TABLE `books_last_read` ADD CONSTRAINT `books_last_read_book` FOREIGN KEY (`id_book`) REFERENCES `books` (`id_book`) ON UPDATE CASCADE ON DELETE CASCADE;
ALTER TABLE `books_last_read` ADD CONSTRAINT `books_last_read_author` FOREIGN KEY (`id_user`) REFERENCES `users` (`id`) ON UPDATE CASCADE ON DELETE CASCADE;

ALTER TABLE `books_authors` ADD CONSTRAINT `books_authors_author` FOREIGN KEY (`id_author`) REFERENCES `authors` (`id_author`) ON UPDATE CASCADE ON DELETE CASCADE
;
ALTER TABLE `books_authors` ADD CONSTRAINT `books_authors_book` FOREIGN KEY (`id_book`) REFERENCES `books` (`id_book`) ON UPDATE CASCADE ON DELETE CASCADE
;